@if (@a==@b) @end /*
:: unzip.bat
:: usage: unzip.bat zipfile.zip extract_path
:: extracts zipfile.zip to .\zipfile\

:: begin batch portion
@echo off
setlocal

if "%~1"=="" (
    echo Usage: %~nx0 filename.zip extract_path
    goto :EOF
)

if "%~2"=="" (
	echo Usage: %~nx0 filename.zip extract_path
	goto :EOF
)

cscript /nologo /e:jscript "%~f0" "%~f1" "%~f2"

echo(
echo Unzipping complete.

goto :EOF
:: end batch portion

:: begin JScript portion */
// https://gist.github.com/889769
// slightly modified by rojo for http://stackoverflow.com/a/27049936/1683264
function unzip(zipfile, unzipdir) 
{
    var fso = new ActiveXObject('Scripting.FileSystemObject'),
        shell = new ActiveXObject('Shell.Application'),
		dst, zip;

    if (!unzipdir) 
		unzipdir = '.';

    if (!fso.FolderExists(unzipdir)) 
		fso.CreateFolder(unzipdir);

    dst = shell.NameSpace(fso.getFolder(unzipdir).Path);
    zip = shell.NameSpace(fso.getFile(zipfile).Path);

	if (fso.FileExists(zipfile)) 
	{
		try
		{
			for (var i=0; i<zip.Items().Count; i++) 
			{
				WSH.Stdout.Write('Unzipping ' + zip.Items().Item(i) + '... ');
                dst.CopyHere(zip.Items().Item(i), 4 + 16);
			}
            WSH.Echo('Done.');            
        }
        catch(e) 
		{
            WSH.Echo('Failed: ' + e);
        }
    }
}

var zipfile = WSH.Arguments(0),
	dest = WSH.Arguments(1);

unzip(zipfile, dest);
/*
::end JScript portion
*/